# sitelib for noarch packages
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-modjkapi
Version:        0.1.2.28
Release:        7%{?dist}
Summary:        API for modjk management

Group:          Development/Languages
License:        GPLv3+
URL:            https://fedorahosted.org/Taboot/
Source0:        http://people.redhat.com/~tbielawa/modjkapi/releases/modjkapi-latest/modjkapi-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel


%description
Simple API for managing mod_jk via it's xml web api.


%prep
%setup -q -n modjkapi-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
cp contrib/jk-rotate/jk-rotate $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
%{__gzip} -c docs/man/man1/jk-rotate.1 > $RPM_BUILD_ROOT%{_mandir}/man1/jk-rotate.1.gz


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/jk-rotate
%doc AUTHORS LICENSE docs/rst/*
# For noarch packages: sitelib
%{python_sitelib}/modjkapi*
%{_mandir}/man1/jk-rotate.1.gz


%changelog
* Wed May 11 2011 Tim Bielawa <tbielawa@redhat.com> - 0.1.2.28-7
- Renaming bleeder to something more descriptive (jk-rotate)
- Make a jk-rotate manpage

* Sun May  8 2011 Tim Bielawa <tbielawa@redhat.com> - 0.1.2.28-6
- Update copyright/license headers in preparation for a public release
- Update URL to Taboots page because it will be distributed from there.
- Source updated to an actual HTTP address.
- Remove COPYING file. It was just a copy of the LICENSE file.
- General package maintenance.

* Fri May 22 2009 Greg Blomquist <gblomqui@redhat.com> - 0.1.2.28-5
- Auth only worked with one proxy before...
- Now it works with multiple proxies per environment.

* Thu May 21 2009 Greg Blomquist <gblomqui@redhat.com> - 0.1.2.28-4
- Auth only worked to get status before...now it works to change status too

* Fri May 15 2009 Greg Blomquist <gblomqui@redhat.com> - 0.1.2.28-3
- Now auth credentials work with urllib and urllib2 (i.e., python2.4 and python2.5)

* Mon May 11 2009 Greg Blomquist <gblomqui@redhat.com> - 0.1.2.28-2
- Allow modjkapi to send auth credentials to modjk

* Wed Apr 22 2009 John Eckersberg <jeckersb@redhat.com> - 0.1.2.28-1
- Update query string to work with versions prior to 1.2.28 as well

* Thu Apr 16 2009 Greg Blomquist <gblomqui@redhat.com> - 0.1.2.28-0
- Updated versioning scheme to match the mod_jk version supported
- Updated to mod_jk version 1.2.28

* Thu Feb 26 2009 Greg Blomquist <gblomqui@redhat.com> - 0.0.2-0
- Updated modjkapi to allow callers to "stop", "activate", and "disable" workers

* Tue Oct 28 2008 Steve 'Ashcrow' Milner <smilner@redhat.com> - 0.0.1-1
- Initial spec
